Bug 134636 - Swap partition larger than 128GB cannot be swapon.
Swap partition larger than 128GB cannot be swapon.
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-10-05 06:48 EDT by Murakami Hiroshi
Modified: 2015-01-04 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-10-02 20:19:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Murakami Hiroshi 2004-10-05 06:48:21 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7)

Description of problem:
The swap partition on a disk larger than
128GBytes (2^37bytes, about 138GB in decimal) cannot be swapon.
# swapon /dev/sdb1
swapon: /dev/sdb1: Cannot allocate \ memory.
The slightly smaller than 128GB (for example 120GB) swap partition 
is OK to be swap on.
I think this is a kind of bug.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. make swap area much larger than 128GB (for example 160GB) using  
fdisk. # fdisk /dev/sdb
2. mkswap /dev/sdb1
3. swapon /dev/sdb1

Actual Results:  The swapon command returns message as:
# swapon /dev/sdb1
swapon: /dev/sdb1: Cannot allocate memory

Expected Results:  The swapon command were finished with success.

Additional info:

The swap partition size larger than 2^37 (140GB, or 160GB for example)
does have this problem. The swap partition of size 120GB or 100GB
has no problem at all.
Comment 1 Warren Togami 2004-10-05 08:24:28 EDT
Curious, why do you want such a large swap?
Comment 2 Dave Jones 2005-07-15 13:50:55 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 3 Dave Jones 2005-10-02 20:19:58 EDT
This bug has been automatically closed as part of a mass update.
It had been in NEEDINFO state since July 2005.
If this bug still exists in current errata kernels, please reopen this bug.

There are a large number of inactive bugs in the database, and this is the only
way to purge them.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.